{% extends "base.html" %}

{% load static %}

<!-- ch 4. korak 34. kreirali smo ovaj file kao i templates i challenges foldere-->
<!-- kreirali basic html file, naredbom html5 -->
<!-- Za sada jedino dodali h1 i h2 u body, idemo u views.py kako bi mogli rjesili da mozemo poslati ovaj file klijentu-->

{% block css_files %} <!--sve dodano u ch4. k50,  prekopirano iz index.html-->
    <link rel="stylesheet" href="{% static "challenges/challenge.css" %}">  <!--dodano u ch4. k50, generalno stiliziranje-->
    <link rel="stylesheet" href="{% static "challenges/includes/header.css" %}"> <!--dodano u ch4. k50, generalno stiliziranje-->
{% endblock %}

{% block page_title %}
    {{ month_name|title }} Challenge <!--ch4, k37 dodali nakon sto smo kreirali key-value u views.py-->
{% endblock %}
    
    {% block content %}

        {% include "challenges/includes/header.html" %} <!--ch4. k45. nakon kreiranja headera, includali smo ga tu-->



        <h1>{{ month_name|title }} Challenge</h1>  <!--ch4, k37 dodali nakon sto smo kreirali key-value u views.py-->
        <!--ch4, k36, nastavak na views.py drugi korak--> <!--k38 dodan title filter koji postavlja veliko pocetno slovo-->

        {% if text is not None %} <!--ch4. k42, dodajemo if tag, on provjerava vraca li text key-value (iz views.py) vrijednost ili je prazan-->
                                    <!--ch4. k42, ako nije prazan onda ga ispisi-->
        <h2>                     
            {{ text }}
        </h2> 
        <!-- koristimo viticaste zagrade sto je posebna sintaksa koju ce django pokupiti, kako bi injektirali dinamicki sadrzaj na to mjesto-->
        <!--tu mozemo pointat na keyeve u rijecniku koji smo kreirali za renderiranje -->
        <!-- taj rijecnik je tzv, context za ovaj template -->
        <!-- na {{text}} mjesto ce se ispisati poruka za konkretan mjesec, ali dinamicki-->

        {% else %} <!--ch4. k42,ako je prazan ispisi donji paragraf-->
            <p class="fallback">There is no challenge for this month yet!</p>
        {% endif %}
    {% endblock %}
